Opened 10 years ago

Last modified 7 years ago

#1208 closed defect (Fixed)

router_rebuild_descriptor(): Bug: Couldn't generate extra-info descriptor.

Reported by: Safari Owned by:
Priority: Low Milestone:
Component: Core Tor/Tor Version: 0.2.2.6-alpha
Severity: Keywords:
Cc: Safari, arma, nickm, karsten, Sebastian, BarkerJr, Tas Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

Client and server seem to work, but there warnings are distracting. Deleting the old cached stuff at /var/lib/tor and restarting did not help.
Tor version 0.2.2.6-alpha-dev (git-7d18108b743a2bed).

2010-01-11 20:52:52.194028156 [warn] couldn't find end of hashed material "
2010-01-11 20:52:52.194028836 router-signature"
2010-01-11 20:52:52.194029277 [warn] router_rebuild_descriptor(): Bug: Couldn't generate extra-info descriptor.

[Automatically added by flyspray2trac: Operating System: All]

Child Tickets

Change History (12)

comment:1 Changed 10 years ago by arma

It looks like you're trying to run a relay?

What OS? How did you install Tor?

Does this happen consistently? If so, run with log-level debug and send us that?

comment:2 Changed 10 years ago by Safari

I have
BridgeRelay 1
BridgeRecordUsageByCountry 1

I have Fedora Linux x86_64, latest tor git (when it was worked last time) was compiled by me...
Seems consistent.

Debug info did not provide more clue (to me):
[debug] Removing exit policy reject ---
[warn] couldn't find end of hashed material "
router-signature"
[warn] router_rebuild_descriptor(): Bug: Couldn't generate extra-info descriptor.
[debug] connection_or_process_cells_from_inbuf(): 16: starting, inbuf_datalen 0 (0 pending in tls object).

comment:3 Changed 10 years ago by Sebastian

Asking question on behalf of rieo:

When you erased the old cached stuff from /var/lib/tor/, did you
clean out all the subdirectories, too?

comment:4 Changed 10 years ago by Safari

No, I left keys dir intact, and
in stats dir I have bridge-stats:
bridge-stats-end 2010-01-14 09:44:55 (86400 s)
bridge-ips cn=8,fr=8

comment:5 Changed 10 years ago by Safari

I stopped getting these warnings on 2010-01-12 11:28:01
No idea why.

comment:6 Changed 10 years ago by BarkerJr

I'm getting the same errors (followed by crash) on 0.2.2.7-alpha on x86. I have a backtrace I can send to a tor staff member on request.

comment:7 Changed 10 years ago by nickm

That'd be great. nickm at freehaven dot net please?

comment:8 Changed 10 years ago by nickm

This should be fixed by 7e65871ccc49f6f25f8782789283cf2afef6e86b in 0.2.2.8-alpha; is anybody seeing it
in that version or later?

comment:9 Changed 10 years ago by BarkerJr

Confirmed fixed on 0.2.2.8.

comment:10 Changed 10 years ago by nickm

Great! I'll close this item then.

comment:11 Changed 10 years ago by Sebastian

flyspray2trac: bug closed.

comment:12 Changed 7 years ago by nickm

Component: Tor ClientTor
Note: See TracTickets for help on using tickets.